#ifndef PM_SUBTRACTION_THREADS_H
#define PM_SUBTRACTION_THREADS_H

/// Return whether theads have been activated
bool pmSubtractionThreaded(void);

/// Set up threading for image matching
///
/// Sets up thread tasks, and initialises mutexes in readouts
void pmSubtractionThreadsInit(pmReadout *in1, pmReadout *in2 // Input readouts
    );


/// Take down threading for image matching
///
/// Destroys thread tasks, and initialises mutexes in readouts
void pmSubtractionThreadsFinalize(pmReadout *in1, pmReadout *in2);

#endif
